<bugID>1257242<Summary>Split the ::BrowserTabsRemoteAutostart() function into two parts, to allow for the blocking policies to be checked independently from the prefs checks</Summary><Description>In order to get statistically significant data for the e10s cohorts, we need to first check if there are any e10s blocking conditions for a user (e.g., add-ons, accessibility), and then split the remaining users 50%/50% and setting the "browser.tabs.remote.autostart" pref to true to the test group.

However, the function that does the blocking checks is the same that checks prefs, and it doesn't allow the former to happen indenpendently of the latter.

This leads us to need to use workarounds and duplicate the logic. But I want to fix this the proper way while there is still time. The fix is simple, just split the function into two.</Description></bugID>